Bug 1923274 - stockfish: FTBFS in Fedora rawhide/f34
Summary: stockfish: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: stockfish
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Mosnacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 16:22 UTC by Fedora Release Engineering
Modified: 2021-11-18 01:06 UTC (History)
3 users (show)

Fixed In Version: stockfish-14.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-18 01:06:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (14.40 KB, text/plain)
2021-02-01 16:22 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-02-01 16:22 UTC, Fedora Release Engineering
no flags Details
state.log (957 bytes, text/plain)
2021-02-01 16:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 16:22:44 UTC
stockfish failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60864423


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix stockfish at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
stockfish will be orphaned. Before branching of Fedora 35,
stockfish will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 16:22:48 UTC
Created attachment 1752901 [details]
build.log

Comment 2 Fedora Release Engineering 2021-02-01 16:22:49 UTC
Created attachment 1752902 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 16:22:50 UTC
Created attachment 1752903 [details]
state.log

Comment 4 Filipe Rosset 2021-02-01 16:34:23 UTC
working on this one, no ETA though.

Comment 5 Ben Cotton 2021-02-09 15:45:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Ondrej Mosnacek 2021-11-08 21:37:05 UTC
PR: https://src.fedoraproject.org/rpms/stockfish/pull-request/1

Comment 7 Fedora Update System 2021-11-09 22:06:57 UTC
FEDORA-2021-acc204c3c9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-acc204c3c9

Comment 8 Fedora Update System 2021-11-10 04:04:32 UTC
FEDORA-2021-acc204c3c9 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-acc204c3c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-acc204c3c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-11-18 01:06:35 UTC
FEDORA-2021-acc204c3c9 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.